Bug 880960 - SNMP Trap notifications sent from JON using incorrect port
SNMP Trap notifications sent from JON using incorrect port
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 880945
  Show dependency treegraph
 
Reported: 2012-11-28 04:43 EST by xiaohui Wu
Modified: 2013-09-03 10:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:44:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
default snmap trap port (34.96 KB, image/png)
2012-11-28 04:43 EST, xiaohui Wu
no flags Details

  None (edit)
Description xiaohui Wu 2012-11-28 04:43:19 EST
Created attachment 653392 [details]
default snmap trap port

Description of problem:
- A trap notification is created with the default port 
- the trap appears to have been created to use the default port of 162

However, the trap is not sent on port 162, it uses port 161.

If a trap is created to explicitly use port 162, the trap is sent as expected.

Version-Release number of selected component (if applicable):
JON 3.1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The snmp trap notification is sent on port 161

Expected results:
I did not set the port, it will use the default port, you can see from the attachement that the default port is set to 162, so the snmp trap notification should be sent on port 162

Additional info:
JON bug : https://bugzilla.redhat.com/show_bug.cgi?id=880945 
see the attachement, it is the customer case 00745614 https://c.na7.visual.force.com/apex/Case_View?id=500A000000BerX9&sfdc.override=1
Comment 1 Jirka Kremser 2013-01-18 08:54:26 EST
fixed in master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=c5539a4d9

time:    Fri Jan 18 14:50:07 2013 +0100
commit:  c5539a4d9ff8304230fa1571de4dc336c6278ee4
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 880960 - SNMP Trap notifications sent from JON using incorrect port] typo: default port for snmptrapd has been set to 162

note for QA: for verifying the bug, the wireshark (filtering communication on ports 161/162) can be used (no need for actuall installing of snmpd/snmptrapd)
Comment 2 Heiko W. Rupp 2013-09-03 10:44:23 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.